Bug 825343 - [abrt] tracker-0.14.0-2.fc17: _int_free: Process /usr/libexec/tracker-extract was killed by signal 11 (SIGSEGV)
[abrt] tracker-0.14.0-2.fc17: _int_free: Process /usr/libexec/tracker-extract...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: tracker (Show other bugs)
17
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Deji Akingunola
Fedora Extras Quality Assurance
abrt_hash:09f8d6268d8a66e333081b85c96...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-05-25 14:38 EDT by Perseo
Modified: 2013-07-31 18:52 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-07-31 18:52:24 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (52.37 KB, text/plain)
2012-05-25 14:38 EDT, Perseo
no flags Details
File: maps (28.11 KB, text/plain)
2012-05-25 14:39 EDT, Perseo
no flags Details
File: dso_list (5.89 KB, text/plain)
2012-05-25 14:39 EDT, Perseo
no flags Details

  None (edit)
Description Perseo 2012-05-25 14:38:45 EDT
libreport version: 2.0.10
abrt_version:   2.0.10
backtrace_rating: 4
cmdline:        /usr/libexec/tracker-extract
crash_function: _int_free
executable:     /usr/libexec/tracker-extract
kernel:         3.3.4-5.fc17.x86_64
pid:            6609
pwd:            /
remote_result:  816767
time:           vie 25 may 2012 13:31:41 CDT
uid:            1000
username:       perseo

backtrace:      Text file, 53627 bytes
dso_list:       Text file, 6033 bytes
maps:           Text file, 28784 bytes

build_ids:
:63651cdc0224824a9c9324c77c3b5887378e871d
:0932c710a0651cc6ba625234790de9b8fc954c63
:8568e11bef79abaf14513d18a8559282d8dad34a
:06e47acdf8180cd4a67b3af4744294fd157a0600
:647c8183274c4626c81e86e7a631a81782a04e65
:b6d75088f555d197be1476cb1c580640826ae029
:dec0de92024bee74c75c04bde4c54c097fe68ae8
:7526b18a7f20d70c1262bbd00d0269eeb5c379a7
:6e5d5649c704cd3a34cf145ccd2d08994f1e83ff
:c4ec0971b2dcee71aaf8374975474054245fea00
:fad2d57f73db1d2b51917a93ac42fb4e1308b141
:66ff6e23f48b16dd1cd292e31a109a8c98ff70f2
:a553a7e9625a224a8f39286909adc17787ad51bd
:a7a90d872ef72df12f4344a1a6fadb184e5c0cc8
:a625841a963b5765aa9c0b4f827a8235f2697ccc
:a2d5b50b07df0fb9c52fcc682c6121d3e7276249
:49ff2bf2bc331d1033b5e96f3b4372347889ba17
:f64b7319b84d426ed547084bdb2577f4f596c18f
:617e70e4105dfaa44b8d1f53b914e37eb5886ceb
:1b7abd5c8129b91c0ca4f0f0812e61660236fd38
:035f90fd73fe417c1aaf10ee2a01816ce0051990
:6419b38400feb8414d331a1f2deebb0012d0d72e
:60110cdea38e8daff98ddc671bc24a2bd469d28a
:350920b52e92655cdb258fa5f96fe7004ad07a52
:a4ec59d7fc9c453fb4287d7ebc5fcf6579792e65
:cd6934c7ffdc10b4626f8a94336de83eb989545e
:d58bc1987a4c99271e742c8fbee05af654fe093f
:d043d6426c78886ac61a4d4058cb820869c9cbf2
:67792c148d2b8f13f6732c9367e926c26d7376c5
:516204cfc31148538d56b21e2f1b945ed50127d4
:63f6dccf63b83438d51b520f4ce907189359661a
:816a568132698192f252ff462ca0c988434bf8b3
:3f027131210443ae3b8ff8c760f50050c839733d
:31bdcb50bedb2311d3be471ce4dc3fd47c08a9e4
:c943da5fcd9a1d247906eb279fd5c197305ad80d
:822e9b3523e8312240f41a25722d539bc77ed436
:73777e822e00ca152ffca281ab0ace0cb498ec48
:731b3801f71de6bd888953161b715e6cbda0ab60
:d804f8ee47797da9213a92f00cd095ecada8d79f
:fe58d8fb04b8db326ab41ab7a98b0f3b73e06618
:03a3531257193c88ade30f23f9dc93545fa5397d
:5b7cdec9dba117156a6e5568a103fb5b44087566
:4d09d82785dab5f95c01b69bc0785145a5954d30
:7c35310fc506498c612d5d982ab03becc4b4817c
:9ea9b4fd0fc47b9ba19d393e1c1f70959654c6b8
:80dcf30321dbc04511d9cbf399a83b8f3dc75d5d
:d50284b66d63e0cc3f25b4c2ea9e7476d82ec292
:835ece100ae7d8bb3c7f990b52f28ecdeb74975e
:d32cbeacfd9f41e3cd29b697dd111f44a2d9c127
:f1c5764c91642a33bec2d4ba5adbefc196cc8d60
:10db86ab9481dc0e2bd0f0c4c987e86a8a1d9a8b
:e3f83e6ed76d65ff9d0d4aa5fcc7bf0c6bfaaadd
:c61e487cc8906c4f1bd85b39a4d751b414e423a0
:aaa1236e690a9d2f230ade4b8d4387c22200ba9f
:5dd234206476b0387cd251598aa72a2c95c763c5
:aa55d83843beb476f85da9a12fbf6098698ba1b4
:1a0c09f270adf8398df4362ce0acfafc1f970982
:46eb8c83b266e03b4d2d37c5ac56accdee78c113
:a5cf7008c28585406297cf76ce11e2e554e5a7b4
:36b44cb9b031a0994ccdf2039a4baf221a0f00d6
:ec87953f655fbcbcbe71b591db5451e56739576e

cgroup:
:9:perf_event:/
:8:blkio:/
:7:net_cls:/
:6:freezer:/
:5:devices:/
:4:memory:/
:3:cpuacct,cpu:/
:2:cpuset:/
:1:name=systemd:/user/perseo/2

core_backtrace:
:a4ec59d7fc9c453fb4287d7ebc5fcf6579792e65 0x7bcdd malloc_consolidate libc.so.6 -
:a4ec59d7fc9c453fb4287d7ebc5fcf6579792e65 0x7c708 _int_free libc.so.6 -
:6e5d5649c704cd3a34cf145ccd2d08994f1e83ff 0x5532 png_free_data libpng15.so.15 -
:6e5d5649c704cd3a34cf145ccd2d08994f1e83ff 0x59c7 png_free_data libpng15.so.15 -
:6e5d5649c704cd3a34cf145ccd2d08994f1e83ff 0x5a7c - libpng15.so.15 -
:6e5d5649c704cd3a34cf145ccd2d08994f1e83ff 0xc9f9 - libpng15.so.15 -
:6e5d5649c704cd3a34cf145ccd2d08994f1e83ff 0xcd2e png_destroy_read_struct libpng15.so.15 -
:3f027131210443ae3b8ff8c760f50050c839733d 0x35cd tracker_extract_get_metadata libextract-png.so -
:d58bc1987a4c99271e742c8fbee05af654fe093f 0x94f4 - [exe] -
:d58bc1987a4c99271e742c8fbee05af654fe093f 0x99ad - [exe] -
:d58bc1987a4c99271e742c8fbee05af654fe093f 0x9d3a - [exe] -
:8568e11bef79abaf14513d18a8559282d8dad34a 0x475cc g_main_context_dispatch libglib-2.0.so.0 -
:8568e11bef79abaf14513d18a8559282d8dad34a 0x479e8 - libglib-2.0.so.0 -
:8568e11bef79abaf14513d18a8559282d8dad34a 0x47de2 g_main_loop_run libglib-2.0.so.0 -
:d58bc1987a4c99271e742c8fbee05af654fe093f 0x746f main [exe] -

environ:
:SHELL=/bin/bash
:DBUS_STARTER_ADDRESS=unix:abstract=/tmp/dbus-t4NsrRkVgT,guid=d754c8ac5829f64da7a177040000002f
:XDG_RUNTIME_DIR=/run/user/perseo
:DISPLAY=:0
:DESKTOP_SESSION=gnome
:LC_MEASUREMENT=es_MX.utf8
:SSH_AUTH_SOCK=/run/user/perseo/keyring-XdAFE5/ssh
:SESSION_MANAGER=local/unix:@/tmp/.ICE-unix/1091,unix/unix:/tmp/.ICE-unix/1091
:LC_MONETARY=es_MX.utf8
:LC_NUMERIC=es_MX.utf8
:LC_TIME=es_MX.utf8
:WINDOWPATH=1
:PATH=/usr/local/bin:/usr/bin:/bin
:GNOME_DESKTOP_SESSION_ID=this-is-deprecated
:GDMSESSION=gnome
:XDG_VTNR=1
:USERNAME=perseo
:XDG_SESSION_ID=2
:GPG_AGENT_INFO=/run/user/perseo/keyring-XdAFE5/gpg:0:1
:DBUS_SESSION_BUS_ADDRESS=unix:abstract=/tmp/dbus-t4NsrRkVgT,guid=d754c8ac5829f64da7a177040000002f
:XDG_SEAT=seat0
:XAUTHORITY=/var/run/gdm/auth-for-perseo-FPjIPX/database
:USER=perseo
:DBUS_STARTER_BUS_TYPE=session
:GNOME_KEYRING_PID=1087
:SHLVL=1
:PWD=/home/perseo
:GDM_LANG=es_ES.utf8
:GNOME_KEYRING_CONTROL=/run/user/perseo/keyring-XdAFE5
:LANG=es_ES.utf8
:_=/usr/bin/dbus-launch
:LOGNAME=perseo
:HOME=/home/perseo

limits:
:Limit                     Soft Limit           Hard Limit           Units     
:Max cpu time              unlimited            unlimited            seconds   
:Max file size             unlimited            unlimited            bytes     
:Max data size             2039037952           unlimited            bytes     
:Max stack size            8388608              unlimited            bytes     
:Max core file size        0                    unlimited            bytes     
:Max resident set          unlimited            unlimited            bytes     
:Max processes             1024                 63212                processes 
:Max open files            1024                 4096                 files     
:Max locked memory         65536                65536                bytes     
:Max address space         2039037952           unlimited            bytes     
:Max file locks            unlimited            unlimited            locks     
:Max pending signals       63212                63212                signals   
:Max msgqueue size         819200               819200               bytes     
:Max nice priority         0                    0                    
:Max realtime priority     0                    0                    
:Max realtime timeout      unlimited            unlimited            us        

open_fds:
:0:/dev/null
:pos:	0
:flags:	0100002
:1:/dev/null
:pos:	0
:flags:	0100002
:2:/dev/null
:pos:	0
:flags:	0100002
:3:anon_inode:[eventfd]
:pos:	0
:flags:	02004002
:4:/dev/null
:pos:	0
:flags:	0100002
:5:anon_inode:[eventfd]
:pos:	0
:flags:	02004002
:6:socket:[58594]
:pos:	0
:flags:	02004002
:7:socket:[44825]
:pos:	0
:flags:	02004002
:8:anon_inode:[eventfd]
:pos:	0
:flags:	02004002
:9:anon_inode:inotify
:pos:	0
:flags:	02004000
:10:/home/perseo/.local/share/tracker/tracker-extract.log
:pos:	356
:flags:	0102001
:11:anon_inode:[eventfd]
:pos:	0
:flags:	02004002
:12:pipe:[55965]
:pos:	0
:flags:	02000001
:13:socket:[53057]
:pos:	0
:flags:	02004002
:14:pipe:[55965]
:pos:	0
:flags:	02000001
:15:anon_inode:[eventfd]
:pos:	0
:flags:	02004002
:16:/home/perseo/Imágenes/Cortina/28D7FB3B0A6C-1.png
:pos:	858595
:flags:	01100000

smolt_data:
:
:
:General
:=================================
:UUID: 61afea2b-9003-4ad7-8bf6-f4be1c976076
:SO: Fedora release 17 (Beefy Miracle)
:Nivel de ejecución por defecto: Unknown
:Idioma: es_ES.utf8
:Plataforma: x86_64
:BogoMIPS: 6428.26
:Fabricante de CPU: AuthenticAMD
:Modelo de CPU: AMD Phenom(tm) II X6 1090T Processor
:Paso del UCP: 0
:Familia de UCP: 16
:Número de Modelo de CPU: 10
:Número de CPUs: 6
:Velocidad del CPU: 3200
:Memoria del Sistema: 7985
:Intercambio (swap) del Sistema: 1998
:Vendedor: Gigabyte Technology Co., Ltd.
:Sistema: GA-880GM-USB3 
:Factor de forma: Desktop
:Kernel: 3.3.4-5.fc17.x86_64
:SELinux Habilitado: 1
:Política de SELinux: targeted
:SELinux Obligado: Enforcing
:MythTV Remote: Unknown
:MythTV Role: Unknown
:MythTV Theme: Unknown
:MythTV Plugin: 
:MythTV Tuner: -1
:
:
:Dispositivos
:=================================
:(4098:17297:5208:45058) pci, ahci, STORAGE, SB7x0/SB8x0/SB9x0 SATA Controller [AHCI mode]
:(4130:38409:4130:38401) pci, pcieport, PCI/PCI, RS780/RS880 PCI to PCI bridge (PCIE port 5)
:(4318:3592:6618:4628) pci, snd_hda_intel, MULTIMEDIA, HDMI Audio stub
:(4130:38401:4130:38401) pci, None, HOST/PCI, RS880 Host Bridge
:(4130:4612:0:0) pci, None, HOST/PCI, Family 10h Processor Link Control
:(4130:4609:0:0) pci, None, HOST/PCI, Family 10h Processor Address Map
:(4130:4608:0:0) pci, None, HOST/PCI, Family 10h Processor HyperTransport Configuration
:(4130:4611:0:0) pci, k10temp, HOST/PCI, Family 10h Processor Miscellaneous Control
:(4130:4610:0:0) pci, None, HOST/PCI, Family 10h Processor DRAM Controller
:(7023:28707:5208:20487) pci, xhci_hcd, USB, N/A
:(4172:32804:5208:4096) pci, firewire_ohci, FIREWIRE, GA-EP45-DS5 Motherboard
:(4130:38403:4130:38401) pci, pcieport, PCI/PCI, RS780 PCI to PCI bridge (ext gfx port 0)
:(4332:33128:5208:57344) pci, r8169, ETHERNET, GA-EP45-DS5 Motherboard
:(4098:17308:5208:20482) pci, pata_atiixp, STORAGE, SB7x0/SB8x0/SB9x0 IDE Controller
:(4098:17285:5208:17285) pci, None, SERIAL, GA-MA770-DS3rev2.0 Motherboard
:(4098:17309:4098:17309) pci, None, PCI/ISA, SB7x0/SB8x0/SB9x0 LPC host controller
:(4098:17283:5208:41218) pci, snd_hda_intel, MULTIMEDIA, SBx00 Azalia (Intel HDA)
:(4098:17305:5208:20484) pci, ohci_hcd, USB, SB7x0/SB8x0/SB9x0 USB OHCI2 Controller
:(4098:17284:0:0) pci, None, PCI/PCI, SBx00 PCI to PCI Bridge
:(4098:17302:5208:20484) pci, ehci_hcd, USB, SB7x0/SB8x0/SB9x0 USB EHCI Controller
:(4318:4160:6618:4628) pci, nvidia, VIDEO, N/A
:(4098:17303:5208:20484) pci, ohci_hcd, USB, SB7x0/SB8x0/SB9x0 USB OHCI0 Controller
:(4098:17304:5208:20484) pci, ohci_hcd, USB, SB7x0 USB OHCI1 Controller
:(4098:17302:5208:20484) pci, ehci_hcd, USB, SB7x0/SB8x0/SB9x0 USB EHCI Controller
:(4098:17304:5208:20484) pci, ohci_hcd, USB, SB7x0 USB OHCI1 Controller
:(4098:17303:5208:20484) pci, ohci_hcd, USB, SB7x0/SB8x0/SB9x0 USB OHCI0 Controller
:(4130:38405:4130:38401) pci, pcieport, PCI/PCI, RS780 PCI to PCI bridge (PCIE port 1)
:
:
:Información relacionada con el sistema de archivos
:=================================
:device mtpt type bsize frsize blocks bfree bavail file ffree favail
:-------------------------------------------------------------------
:/dev/sda5 / ext4 4096 4096 3833262 2657444 2619060 966656 817105 817105
:/dev/sda7 /home ext4 4096 4096 68327087 64570778 61150503 17104896 17070559 17070559
:/dev/sda3 WITHHELD ext4 4096 4096 21927657 8461705 7363593 5496832 5457347 5457347
:

var_log_messages:
:May 25 11:05:42 perseo kernel: [  585.383870] tracker-extract[2107]: segfault at 7fef61607ab0 ip 00007fef5f1ffcdd sp 00007fff4ef4ff40 error 4 in libc-2.15.so[7fef5f184000+1ac000]
:May 25 11:05:42 perseo abrt[2130]: Saved core dump of pid 2107 (/usr/libexec/tracker-extract) to /var/spool/abrt/ccpp-2012-05-25-11:05:42-2107 (139173888 bytes)
:May 25 11:05:43 perseo kernel: [  586.803923] tracker-extract[2147]: segfault at 7f097c8b6170 ip 00007f097b238cdd sp 00007fffb31dc020 error 4 in libc-2.15.so[7f097b1bd000+1ac000]
:May 25 11:05:43 perseo abrt[2169]: Not dumping repeating crash in '/usr/libexec/tracker-extract'
:May 25 11:05:43 perseo kernel: [  586.926339] tracker-extract[2186]: segfault at 7f52344e83b0 ip 00007f52321fccdd sp 00007fffd33cfba0 error 4 in libc-2.15.so[7f5232181000+1ac000]
:May 25 11:05:43 perseo abrt[2200]: Not dumping repeating crash in '/usr/libexec/tracker-extract'
:May 25 12:49:55 perseo kernel: [   75.244785] tracker-extract[1556]: segfault at 32627e1bb0 ip 000000326087bcdd sp 00007fff3c0609a0 error 4 in libc-2.15.so[3260800000+1ac000]
:May 25 12:49:55 perseo abrt[1588]: Saved core dump of pid 1556 (/usr/libexec/tracker-extract) to /var/spool/abrt/ccpp-2012-05-25-12:49:55-1556 (139186176 bytes)
:May 25 12:49:56 perseo kernel: [   76.542112] tracker-extract[1593]: segfault at 3262afc2e0 ip 000000326087bcdd sp 00007fff4077ab50 error 4 in libc-2.15.so[3260800000+1ac000]
:May 25 12:49:56 perseo abrt[1616]: Not dumping repeating crash in '/usr/libexec/tracker-extract'
:May 25 12:49:57 perseo kernel: [   77.520398] tracker-extract[1641]: segfault at 3261d096b0 ip 000000326087bcdd sp 00007fff32af35b0 error 4 in libc-2.15.so[3260800000+1ac000]
:May 25 12:49:57 perseo abrt[1655]: Not dumping repeating crash in '/usr/libexec/tracker-extract'
:May 25 12:49:58 perseo kernel: [   78.253819] tracker-extract[1657]: segfault at 3262af8990 ip 000000326087bcdd sp 00007fff6cb99520 error 4 in libc-2.15.so[3260800000+1ac000]
:May 25 12:49:58 perseo abrt[1673]: Not dumping repeating crash in '/usr/libexec/tracker-extract'
:May 25 13:31:41 perseo kernel: [ 2581.974642] tracker-extract[6609]: segfault at 32630985d0 ip 000000326087bcdd sp 00007fff60a75ee0 error 4 in libc-2.15.so[3260800000+1ac000]
:May 25 13:31:42 perseo abrt[6624]: Saved core dump of pid 6609 (/usr/libexec/tracker-extract) to /var/spool/abrt/ccpp-2012-05-25-13:31:41-6609 (118779904 bytes)
Comment 1 Perseo 2012-05-25 14:38:59 EDT
Created attachment 586917 [details]
File: backtrace
Comment 2 Perseo 2012-05-25 14:39:01 EDT
Created attachment 586918 [details]
File: maps
Comment 3 Perseo 2012-05-25 14:39:02 EDT
Created attachment 586919 [details]
File: dso_list
Comment 4 Kevin R. Page 2012-07-31 04:34:35 EDT
Day-to-day use, not specifically using tracker (presumably in background). May 

backtrace_rating: 4
Package: tracker-0.14.1-1.fc17
OS Release: Fedora release 17 (Beefy Miracle)
Comment 5 Honza 'thingie' Bartoš 2012-08-16 07:47:11 EDT
I have unzipped an archive into my ~/Documents with some PNG pictures.

backtrace_rating: 4
Package: tracker-0.14.1-1.fc17
OS Release: Fedora release 16 (Beefy Miracle)
Comment 6 Álvaro Castillo 2012-09-11 21:15:06 EDT
Post-boot, starting KDE.

backtrace_rating: 4
Package: tracker-0.14.2-1.fc17
OS Release: Fedora release 17 (Beefy Miracle)
Comment 7 jorrete 2013-01-16 03:53:59 EST
It happens during the bootloadig

backtrace_rating: 4
Package: tracker-0.14.4-1.fc18
OS Release: Fedora release 18 (Spherical Cow)
Comment 8 Fedora End Of Life 2013-07-03 17:36:54 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 9 Fedora End Of Life 2013-07-31 18:52:28 EDT
Fedora 17 changed to end-of-life (EOL) status on 2013-07-30. Fedora 17 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.